unit M.Article;

interface

uses
  M.Interfaces, iORM.Attributes;

type

  [ioEntity, diImplements(IArticle)]
  TArticle = class(TInterfacedObject, IArticle)
  private
    FID: Integer;
    FName: String;
    FPrice: Currency;
  protected
    // ID
    procedure SetID(const Value: Integer);
    function GetID: Integer;
    // Name
    procedure SetName(const Value: String);
    function GetName: String;
    // Price
    procedure SetPrice(const Value: Currency);
    function GetPrice: Currency;
  public
    property ID:Integer read GetID write SetID;
    property Name:String read GetName write SetName;
    property Price:Currency read GetPrice write SetPrice;
  end;

implementation

{ TArticle }

function TArticle.GetID: Integer;
begin
  Result := FID;
end;

function TArticle.GetName: String;
begin
  Result := FName;
end;

function TArticle.GetPrice: Currency;
begin
  Result := FPrice;
end;

procedure TArticle.SetID(const Value: Integer);
begin
  FID := Value;
end;

procedure TArticle.SetName(const Value: String);
begin
  FName := Value;
end;

procedure TArticle.SetPrice(const Value: Currency);
begin
  FPrice := Value;
end;

end.
